package com.qmth.distributed.print.business.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelImportTempleteVaild;
import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 考生导入dto
 * @Author: CaoZixuan
 * @Date: 2022-09-02
 */
@ExcelImportTempleteVaild(value = true)
public class ExamStudentImportDto implements Serializable {
    @ExcelNote(value = "姓名")
    @NotNull
    private String studentName;

    @ExcelNote(value = "学号")
    @NotNull
    private String studentCode;

    @ExcelNote(value = "手机号")
    private String phoneNumber;

    @ExcelNote(value = "学院")
    @NotNull
    private String collegeName;

    @ExcelNote(value = "专业")
    @NotNull
    private String majorName;

    @ExcelNote(value = "班级")
    @NotNull
    private String clazzName;

    @ExcelNote(value = "考点")
    @NotNull
    private String examPlace;

    @ExcelNote(value = "考场")
    @NotNull
    private String examRoom;


    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }
}
